summaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/net
diff options
context:
space:
mode:
authorVladimir Oltean <vladimir.oltean@nxp.com>2022-07-03 10:36:26 +0300
committerGreg Kroah-Hartman <gregkh@linuxfoundation.org>2022-07-12 16:29:03 +0200
commit70652a44b4b6467304fc82a11e08325cc428b67e (patch)
tree54735599ab29fc2c50a5dcdc2b23b22f52afca67 /tools/testing/selftests/net
parent5d7f2dc5a1e8d0bf4088a8169de396aace2c35d6 (diff)
downloadlinux-stable-70652a44b4b6467304fc82a11e08325cc428b67e.tar.gz
linux-stable-70652a44b4b6467304fc82a11e08325cc428b67e.tar.bz2
linux-stable-70652a44b4b6467304fc82a11e08325cc428b67e.zip
selftests: forwarding: fix error message in learning_test
[ Upstream commit 83844aacab2015da1dba1df0cc61fc4b4c4e8076 ] When packets are not received, they aren't received on $host1_if, so the message talking about the second host not receiving them is incorrect. Fix it. Fixes: d4deb01467ec ("selftests: forwarding: Add a test for FDB learning") Signed-off-by: Vladimir Oltean <vladimir.oltean@nxp.com> Reviewed-by: Ido Schimmel <idosch@nvidia.com> Signed-off-by: Paolo Abeni <pabeni@redhat.com> Signed-off-by: Sasha Levin <sashal@kernel.org>
Diffstat (limited to 'tools/testing/selftests/net')
-rw-r--r--tools/testing/selftests/net/forwarding/lib.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/testing/selftests/net/forwarding/lib.sh b/tools/testing/selftests/net/forwarding/lib.sh
index 054f776c3843..ee03552b4116 100644
--- a/tools/testing/selftests/net/forwarding/lib.sh
+++ b/tools/testing/selftests/net/forwarding/lib.sh
@@ -830,7 +830,7 @@ learning_test()
tc -j -s filter show dev $host1_if ingress \
| jq -e ".[] | select(.options.handle == 101) \
| select(.options.actions[0].stats.packets == 1)" &> /dev/null
- check_fail $? "Packet reached second host when should not"
+ check_fail $? "Packet reached first host when should not"
$MZ $host1_if -c 1 -p 64 -a $mac -t ip -q
sleep 1